Copyright: Created with EasyHelp (Tel: 0973 209667)


SignalP/Adder - RG350857

Description

This block performs a summation on its three inputs.  It has a single output.

Although Input 2 (middle input) and Input 3 (bottom input) may be connected to other function blocks in the system, a new output is computed only when Input 1 (top input) receives a message.

Input 2 and Input 3 are persistent.

Note that if the intermediate result from adding Input 2 to Input 3 is greater than +100% or less than -100%, it will be clamped to +100% or -100% before being added to Input 1.

Parameters

Input 1	Primary input to the block.  Expects a value (-100% to +100%).

Input 2	Second input to the block.  Expects a value (-100% to +100%).

Input 3	Third input to the block.  Expects a value (-100% to +100%).

Get Input 2	Returns the current value of input 2:  -100% to +100%.

Get Input 3	Returns the current value of input 3:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.


Description

This block performs a summation on its three inputs.  It has a single output.

Although Input 2 (middle input) and Input 3 (bottom input) may be connected to other function blocks in the system, a new output is computed only when Input 1 (top input) receives a message.

Input 2 and Input 3 are persistent.

Note that if the intermediate result from adding Input 2 to Input 3 is greater than +100% or less than -100%, it will be clamped to +100% or -100% before being added to Input 1.


Parameters

Input 1	Primary input to the block.  Expects a value (-100% to +100%).

Input 2	Second input to the block.  Expects a value (-100% to +100%).

Input 3	Third input to the block.  Expects a value (-100% to +100%).

Get Input 2	Returns the current value of input 2:  -100% to +100%.

Get Input 3	Returns the current value of input 3:  -100% to +100%.

Get Output	Returns the current value of the output:  -100% to +100%.